Package org.apache.cxf.configuration

# Interface ConfiguredBeanLocator.BeanLoaderListener<T>

Enclosing interface:
  ConfiguredBeanLocator

public static interface ConfiguredBeanLocator.BeanLoaderListener<T>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `beanLoaded(String name, T bean)`
  Return true if the bean that was loaded meets the requirements at which point, the loader will stop loading additional beans of the given type
  `boolean`
  `loadBean(String name, Class<? extends T> type)`
  Return true to have the loader go ahead and load the bean.

- ## Method Details

  - ### loadBean

    boolean loadBean(String name, Class<? extends T> type)
    Return true to have the loader go ahead and load the bean. If false, the loader will just skip to the next bean
    Parameters:
      `name` -
      `type` -
    Returns:
      true if the bean should be loaded

  - ### beanLoaded

    boolean beanLoaded(String name, T bean)
    Return true if the bean that was loaded meets the requirements at which point, the loader will stop loading additional beans of the given type
    Parameters:
      `name` -
      `bean` -
    Returns:
      true if the bean meets the requirements of the listener